package com.yuchen.saas.device.api.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.nest.springwrap.core.tool.api.IResultCode;

/**
 * @author zhouhanwei
 * @create 2024/2/27 19:49
 */
@Getter
@AllArgsConstructor
public enum SaasDeviceErrorEnums implements IResultCode {

    DATA_NOT_EXIST(10000, "数据不存在"),

    FORM_DATA_NOT_ERROR(10001, "表单数据错误"),

    FORM_DATA_FIELD_DESC_NOT_EXIST(10001, "表单数据中文注释不存在"),

    FORM_DATA_FIELD_NAME_NOT_EXIST(10001, "表单数据字段名称不存在"),

    VALID_ERROR_HEADER(20001, "文件表头解析失败,请确认模板后重新上传"),

    INVALID_FILE(20002, "文件解析失败,请确认文件内容及格式后重新上传"),

    ENUMS_NOT_EXIST_ERROR(20003,"枚举编码不存在"),

    ;

    private final int code;
    private final String message;

}
